Page 2 of 2 FirstFirst 12
Results 11 to 16 of 16

Thread: A python3 application requires GTK3 to run, I can't install it

  1. #11
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    28,201
    Blog Entries
    15

    Default Re: A python3 application requires GTK3 to run, I can't install it

    Quote Originally Posted by Alekssan View Post
    Code:
    aleksandr@linux-b0ak:~> pyglossary -v 4
    Module 'lxml' not found, skipping plugin 'appledict_bin'
    Loading plugins from directory: '/usr/lib/python3.6/site-packages/pyglossary/plugins'
    Module 'lxml' not found, skipping plugin 'appledict_bin'
    Plugin disabled or not a plugin: babylon_bdc
    Plugin disabled or not a plugin: formats_common
    Plugin disabled or not a plugin: gettext_mo
    Plugin disabled or not a plugin: paths
    Plugin disabled or not a plugin: stardict_test
    Plugin disabled or not a plugin: testformat
    Loading plugins from directory: '/home/aleksandr/.pyglossary/plugins'
    prefOptions = {'remove_html_all': False}
    /usr/bin/pyglossary: line 1: 21256 Segmentation fault      (core dumped) /usr/share/pyglossary/main.py "$@"
    Hi
    Can you run the following and just post the last 10-20 lines?

    Code:
    strace /usr/share/pyglossary/main.py
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  2. #12

    Default Re: A python3 application requires GTK3 to run, I can't install it

    Code:
    futex(0x7f8b7d03a528, FUTEX_WAKE_PRIVATE, 2147483647) = 0
    futex(0x7f8b7d03a528, FUTEX_WAKE_PRIVATE, 2147483647) = 0
    futex(0x7f8b7d03a528, FUTEX_WAKE_PRIVATE, 2147483647) = 0
    futex(0x7f8b7d03a528, FUTEX_WAKE_PRIVATE, 2147483647) = 0
    futex(0x7f8b7d03a528, FUTEX_WAKE_PRIVATE, 2147483647) = 0
    futex(0x7f8b7d03a528, FUTEX_WAKE_PRIVATE, 2147483647) = 0
    futex(0x7f8b7d03a528, FUTEX_WAKE_PRIVATE, 2147483647) = 0
    futex(0x7f8b7d03a528, FUTEX_WAKE_PRIVATE, 2147483647) = 0
    futex(0x7f8b7d03a528, FUTEX_WAKE_PRIVATE, 2147483647) = 0
    futex(0x7f8b7d03a528, FUTEX_WAKE_PRIVATE, 2147483647) = 0
    futex(0x7f8b7d03a528, FUTEX_WAKE_PRIVATE, 2147483647) = 0
    futex(0x7f8b7d03a528, FUTEX_WAKE_PRIVATE, 2147483647) = 0
    futex(0x7f8b7d03a528, FUTEX_WAKE_PRIVATE, 2147483647) = 0
    futex(0x7f8b7d03a528, FUTEX_WAKE_PRIVATE, 2147483647) = 0
    futex(0x7f8b7d03a528, FUTEX_WAKE_PRIVATE, 2147483647) = 0
    brk(0x5585ecf1b000)                     = 0x5585ecf1b000
    futex(0x7f8b7d03a528, FUTEX_WAKE_PRIVATE, 2147483647) = 0
    --- SIGSEGV {si_signo=SIGSEGV, si_code=SEGV_MAPERR, si_addr=NULL} ---
    +++ killed by SIGSEGV (core dumped) +++
    Segmentation fault (core dumped)

  3. #13
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    28,201
    Blog Entries
    15

    Default Re: A python3 application requires GTK3 to run, I can't install it

    Quote Originally Posted by Alekssan View Post
    Code:
    futex(0x7f8b7d03a528, FUTEX_WAKE_PRIVATE, 2147483647) = 0
    futex(0x7f8b7d03a528, FUTEX_WAKE_PRIVATE, 2147483647) = 0
    futex(0x7f8b7d03a528, FUTEX_WAKE_PRIVATE, 2147483647) = 0
    futex(0x7f8b7d03a528, FUTEX_WAKE_PRIVATE, 2147483647) = 0
    futex(0x7f8b7d03a528, FUTEX_WAKE_PRIVATE, 2147483647) = 0
    futex(0x7f8b7d03a528, FUTEX_WAKE_PRIVATE, 2147483647) = 0
    futex(0x7f8b7d03a528, FUTEX_WAKE_PRIVATE, 2147483647) = 0
    futex(0x7f8b7d03a528, FUTEX_WAKE_PRIVATE, 2147483647) = 0
    futex(0x7f8b7d03a528, FUTEX_WAKE_PRIVATE, 2147483647) = 0
    futex(0x7f8b7d03a528, FUTEX_WAKE_PRIVATE, 2147483647) = 0
    futex(0x7f8b7d03a528, FUTEX_WAKE_PRIVATE, 2147483647) = 0
    futex(0x7f8b7d03a528, FUTEX_WAKE_PRIVATE, 2147483647) = 0
    futex(0x7f8b7d03a528, FUTEX_WAKE_PRIVATE, 2147483647) = 0
    futex(0x7f8b7d03a528, FUTEX_WAKE_PRIVATE, 2147483647) = 0
    futex(0x7f8b7d03a528, FUTEX_WAKE_PRIVATE, 2147483647) = 0
    brk(0x5585ecf1b000)                     = 0x5585ecf1b000
    futex(0x7f8b7d03a528, FUTEX_WAKE_PRIVATE, 2147483647) = 0
    --- SIGSEGV {si_signo=SIGSEGV, si_code=SEGV_MAPERR, si_addr=NULL} ---
    +++ killed by SIGSEGV (core dumped) +++
    Segmentation fault (core dumped)
    Hi
    Can you scroll back in the output to look for something other than stuff waiting to close. Or send the output to a file and upload to SUSE Paste
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  4. #14

    Default Re: A python3 application requires GTK3 to run, I can't install it


  5. #15
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    28,201
    Blog Entries
    15

    Default Re: A python3 application requires GTK3 to run, I can't install it

    Quote Originally Posted by Alekssan View Post
    Hi
    Weird, something is missing somewhere......

    I've done a couple of minor updates can you try the 3.1 build please.

    Do you have another system you can try it on?
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  6. #16

    Default Re: A python3 application requires GTK3 to run, I can't install it

    I've reinstalled the package from your repository. Now I get the following error:
    Code:
    aleksandr@linux-b0ak:~> pyglossary
    /usr/bin/pyglossary: line 3:  5500 Segmentation fault      (core dumped) /usr/share/pyglossary/main.py "$@"
    Unfortunately, I don't have another machine to test.

Page 2 of 2 FirstFirst 12

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •